org.eclipse.rdf4j.workbench.base

## Class TupleServlet

- java.lang.Object
- - org.eclipse.rdf4j.workbench.base.AbstractServlet
  - - org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet
    - - org.eclipse.rdf4j.workbench.base.TransformationServlet
      - - org.eclipse.rdf4j.workbench.base.TupleServlet

- All Implemented Interfaces:
    javax.servlet.Servlet, RepositoryServlet
  Direct Known Subclasses:
    ContextsServlet, ExploreServlet, ExportServlet, TypesServlet

      public abstract class TupleServlet
      extends TransformationServlet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String[]` | `variables`
    `protected String` | `xsl`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `CONTEXT, cookies, INFO, NON_VERIFYING_PARSER_CONFIG`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `info, manager, MANAGER_PARAM, repository, REPOSITORY_PARAM, vf`

    - ### Fields inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `ACCEPT, appConfig, APPLICATION_JAVASCRIPT, APPLICATION_SPARQL_RESULTS_XML, APPLICATION_XML, config, DEFAULT_JSONP_CALLBACK_PARAMETER, JSONP_CALLBACK_PARAMETER, JSONP_ENABLED, JSONP_VALIDATOR, log, MOZILLA, MSIE, SERVER_PASSWORD, SERVER_USER, SERVER_USER_PASSWORD, TEXT_HTML, TEXT_PLAIN, USER_AGENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleServlet(String xsl, String... variables)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `service(TupleResultBuilder builder, RepositoryConnection con)`
    `protected void` | `service(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, String xslPath)`
    `protected void` | `service(WorkbenchRequest req, javax.servlet.http.HttpServletResponse resp, TupleResultBuilder builder, RepositoryConnection con)`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.TransformationServlet

      `doPost, getCookieNames, init, service, service`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractRepositoryServlet

      `setRepository, setRepositoryInfo, setRepositoryManager`

    - ### Methods inherited from class org.eclipse.rdf4j.workbench.base.AbstractServlet

      `checkJSONP, destroy, getBooleanResultFormat, getJSONPResultFormat, getResultWriter, getServletConfig, getServletInfo, getTupleResultBuilder, getTupleResultFormat, service`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Servlet

      `destroy, getServletConfig, getServletInfo, service`

- - ### Field Detail

    - #### xsl

          protected String xsl

    - #### variables

          protected String[] variables

  - ### Constructor Detail

    - #### TupleServlet

          public TupleServlet(String xsl,
                              String... variables)

  - ### Method Detail

    - #### service

          protected void service(WorkbenchRequest req,
                                 javax.servlet.http.HttpServletResponse resp,
                                 String xslPath)
                          throws Exception

      Overrides:
        `service` in class `TransformationServlet`
      Throws:
        `Exception`

    - #### service

          protected void service(WorkbenchRequest req,
                                 javax.servlet.http.HttpServletResponse resp,
                                 TupleResultBuilder builder,
                                 RepositoryConnection con)
                          throws Exception

      Throws:
        `Exception`

    - #### service

          protected void service(TupleResultBuilder builder,
                                 RepositoryConnection con)
                          throws Exception

      Throws:
        `Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.